## junkfilter 20030115

=== Makefile ===
# junkfilter
# a junk email filter system for procmail
# Copyright 1997-2002 Gregory Sutter <gsutter@zer0.org>
#
# $Id: Makefile,v 1.8 2003/01/16 01:39:11 gsutter Exp $
#
# Please read the file "README" and the page
# http://junkfilter.zer0.org/ before using junkfilter.

# JFDIR is where junkfilter is installed on your system.
# JFUSERDIR is where the user lists are. 
JFDIR?=			/usr/local/etc/junkfilter
JFUSERDIR?=		${HOME}/.procmail/

# JFLISTSRC is where the default list files (bodychk, headers, etc) live.
# JFLISTINST is where the compiled versions are placed.
JFLISTSRC?=		${JFDIR}
JFLISTINST?=		${JFDIR}

# JFUSERSRC is where the user list files (bodychk-user, domains-user, etc.)
# reside, and JFUSERINST is where the compiled versions will be placed.
JFUSERSRC?=		${JFUSERDIR}
JFUSERINST?=		${JFUSERDIR}

CAT_REGEX='s/\012(.)/\|$$1/g; s/\015//g; s/\|{2,}/\|/g'
DOT_REGEX='s/\./\\./g'
#DOMAINS_REGEX='s/[	 ]+//g; y/[A-Z]/[a-z]/; s/\015//g; s/\./(.|=2E)/g'
DOMAINS_REGEX='s/[	 ]+//g; y/[A-Z]/[a-z]/; s/\015//g'

RE_FILES=bodychk addresses ip dialups headers white domains/[a-z]*
USER_RE_FILES=bodychk-user addresses-user ip-user dialups-user headers-user white-user domains-user
JF_FILES=jf-bodychk jf-addresses jf-ip jf-dialups jf-headers jf-white jf-domains
USER_JF_FILES=jf-bodychk-user jf-addresses-user jf-ip-user jf-dialups-user jf-headers-user jf-domains-user jf-white-user

all:	${JF_FILES} ${USER_JF_FILES}
	@echo "Done. $@ built."

lists:	${JF_FILES}
	@echo "Done. $@ built."

user-lists:	${USER_JF_FILES}
	@echo "Done. $@ built."

test:	${RE_FILES} ${USER_RE_FILES}
	@echo ${CAT_REGEX}
	@for i in ${RE_FILES} ${USER_RE_FILES}; do echo Testing $$i...; done

create:	${USER_RE_FILES}

jf-bodychk::${JFLISTSRC}/bodychk
	@cat ${JFLISTSRC}/bodychk |\
	egrep -v '^#' |\
	sort |\
	perl -p0e ${CAT_REGEX} > ${JFLISTINST}/jf-bodychk

jf-bodychk-user:${JFUSERSRC}/bodychk-user
	@cat ${JFUSERSRC}/bodychk-user |\
	egrep -v '^#' |\
	sort |\
	perl -p0e ${CAT_REGEX} > ${JFUSERINST}/jf-bodychk-user

bodychk-user:
	@touch ${JFUSERSRC}/$@

jf-addresses:${JFLISTSRC}/addresses
	@cat ${JFLISTSRC}/addresses |\
	egrep -v '^#' |\
	sort |\
	perl -p0e ${CAT_REGEX} > ${JFLISTINST}/jf-addresses

jf-addresses-user:${JFUSERSRC}/addresses-user
	@cat ${JFUSERSRC}/addresses-user |\
	egrep -v '^#' |\
	sort |\
	perl -p0e ${CAT_REGEX} > ${JFUSERINST}/jf-addresses-user

addresses-user:
	@touch ${JFUSERSRC}/$@

jf-ip:${JFLISTSRC}/ip
	@cat ${JFLISTSRC}/ip |\
	egrep -v '^#' |\
	sort |\
	perl -p0e ${CAT_REGEX} |\
	perl -p0e ${DOT_REGEX} > ${JFLISTINST}/jf-ip

jf-ip-user:${JFUSERSRC}/ip-user
	@cat ${JFUSERSRC}/ip-user |\
	egrep -v '^#' |\
	sort |\
	perl -p0e ${CAT_REGEX} |\
	perl -p0e ${DOT_REGEX} > ${JFUSERINST}/jf-ip-user

ip-user:
	@touch ${JFUSERSRC}/$@

jf-dialups:${JFLISTSRC}/dialups
	@cat ${JFLISTSRC}/dialups |\
	egrep -v '^#' |\
	sort |\
	perl -p0e ${CAT_REGEX} |\
	perl -p0e ${DOT_REGEX} > ${JFLISTINST}/jf-dialups

jf-dialups-user:${JFUSERSRC}/dialups-user
	@cat ${JFUSERSRC}/dialups-user |\
	egrep -v '^#' |\
	sort |\
	perl -p0e ${CAT_REGEX} |\
	perl -p0e ${DOT_REGEX} > ${JFUSERINST}/jf-dialups-user

dialups-user:
	@touch ${JFUSERSRC}/$@

jf-headers:${JFLISTSRC}/headers
	@cat ${JFLISTSRC}/headers |\
	egrep -v '^#' |\
	sort |\
	perl -p0e ${CAT_REGEX} > ${JFLISTINST}/jf-headers

jf-headers-user:${JFUSERSRC}/headers-user
	@cat ${JFUSERSRC}/headers-user |\
	egrep -v '^#' |\
	sort |\
	perl -p0e ${CAT_REGEX} > ${JFUSERINST}/jf-headers-user

headers-user:
	@touch ${JFUSERSRC}/$@

jf-white:${JFLISTSRC}/white
	@cat ${JFLISTSRC}/white |\
	egrep -v '^#' |\
	sort |\
	perl -p0e ${CAT_REGEX} > ${JFLISTINST}/jf-white

jf-white-user:${JFUSERSRC}/white-user
	@cat ${JFUSERSRC}/white-user |\
	egrep -v '^#' |\
	sort |\
	perl -p0e ${CAT_REGEX} > ${JFUSERINST}/jf-white-user

white-user:
	@touch ${JFUSERSRC}/$@

jf-domains:${JFLISTSRC}/domains/[a-z]* domains/[a-z]* 
	@cat ${JFLISTSRC}/domains/[a-z]* domains/[a-z]* |\
	egrep -v '^#' |\
	perl -pe ${DOMAINS_REGEX} |\
	egrep -v '^$$' |\
	sort | uniq |\
	perl -p0e ${CAT_REGEX} |\
	perl -p0e ${DOT_REGEX} > ${JFLISTINST}/jf-domains

jf-domains-user:${JFUSERSRC}/domains-user
	@cat ${JFUSERSRC}/domains-user |\
	egrep -v '^#' |\
	perl -pe ${DOMAINS_REGEX} |\
	egrep -v '^$$' |\
	sort | uniq |\
	perl -p0e ${CAT_REGEX} |\
	perl -p0e ${DOT_REGEX} > ${JFUSERINST}/jf-domains-user

domains-user:
	@touch ${JFUSERSRC}/$@

force: ;

## junkfilter 19980901-1

=== debian/changelog ===
junkfilter (19980901-1) unstable; urgency=low

  * Initial Release.

 -- Gordon Russell <g.russell@dcs.napier.ac.uk>  Mon, 28 Sep 1998 09:39:11 +0100

Local variables:
mode: debian-changelog
add-log-mailing-address: "g.russell@dcs.napier.ac.uk"
End:

=== debian/control ===
Source: junkfilter
Section: mail
Priority: optional
Maintainer: Gordon Russell <g.russell@dcs.napier.ac.uk>
Standards-Version: 2.4.1

Depends: procmail
Package: junkfilter
Architecture: any
Description: A junk-email filtering program for procmail
 This package uses procmail filtering algorithms to detect junk email. This
 results in internal procmail variables being assigned to indicate the reason
 why the email has been classified as junk. The user can then use those
 variables within their .procmailrc file to deal with the junk in any way
 they see fit. There are a number of filters available in the package, and
 can be selected from a simple config file on a per-user basis.

=== debian/rules ===
#!/usr/bin/make -f
# Made with the aid of debmake, by Christoph Lameter,
# based on the sample debian/rules file for GNU hello by Ian Jackson.

package=junkfilter
ACTDIR =junkfilter-19980901
CONFDIR=debian/tmp/usr/lib/$(ACTDIR)

build:
	$(checkdir)
	
clean:
	$(checkdir)
	-rm -rf debian/tmp debian/files* core debian/substvars

binary-indep: checkroot
	$(checkdir)
# There are no architecture-independent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

binary-arch: checkroot
	$(checkdir)
	-rm -rf debian/tmp
	install -d debian/tmp
	cd debian/tmp && install -d `cat ../dirs`
# Must have debmake installed for this to work. Otherwise please copy
# /usr/bin/debstd into the debian directory and change debstd to debian/debstd
	cp j* $(CONFDIR)
	rm -f $(CONFDIR)/junkfilter-config
	cp addresses bodychk dialups headers ip $(CONFDIR)
	cp -r domains $(CONFDIR)
	cp -r deb-conf $(CONFDIR)
	cp userinstall $(CONFDIR)
	ln -s ../../lib/$(ACTDIR) debian/tmp/usr/doc/junkfilter/junk.conf
	ln -s $(ACTDIR) debian/tmp/usr/lib/junkfilter
	debstd junkfilter.readme
	dpkg-gencontrol
	chown -R root.root debian/tmp
	chmod -R go=rX debian/tmp
	dpkg --build debian/tmp ..

define checkdir
	test -f debian/rules
endef

binary: binary-indep binary-arch

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot

## junkfilter 20030115

=== debian/changelog ===
junkfilter (20030115-4) unstable; urgency=low

  * Added homepage field to control file.

 -- Santiago Vila <sanvila@debian.org>  Mon, 19 Apr 2010 22:16:08 +0200

junkfilter (20030115-3) unstable; urgency=low

  * Some debian/rules cleanup.
  * Switch to 3.0 (quilt) source format.
  * Put the right years in copyright file.
  * Standards-Version: 3.8.4 (no changes for this).

 -- Santiago Vila <sanvila@debian.org>  Wed, 17 Feb 2010 17:32:12 +0100

junkfilter (20030115-2) unstable; urgency=low

  * Use `:' with chown for POSIX compliance, not `.'.

 -- Santiago Vila <sanvila@debian.org>  Wed, 19 Jul 2006 19:23:18 +0200

junkfilter (20030115-1) unstable; urgency=low

  * New upstream release.
  * Adopted this package (Closes: #156097).
  * Added README.DEVELOPERS to the doc directory.

 -- Santiago Vila <sanvila@debian.org>  Tue,  4 Feb 2003 18:01:40 +0100

junkfilter (20020519a-4) unstable; urgency=low

  * QA upload.
  * Switch to debhelper 4.
  * Move /usr/lib/junkfilter-20020519 to /usr/share/junkfilter, preserving
    the /usr/lib/junkfilter symlink for compatibility.  Move procmailrc.sample
    to /usr/share/doc/junkfilter/examples.  Closes: #161830.
  * Conforms to Standards version 3.5.8.

 -- Matej Vela <vela@debian.org>  Sun,  8 Dec 2002 22:30:37 +0100

junkfilter (20020519a-3) unstable; urgency=low

  * Yes Truly hanged

 -- Luis Arocha <data@debian.org>  Mon, 11 Nov 2002 21:06:27 +0000

junkfilter (20020519a-2) unstable; urgency=low

  * Changed maintaner to Debian QA Group. Package orphaned.

 -- Luis Arocha <data@debian.org>  Sun, 10 Nov 2002 16:45:58 +0000

junkfilter (20020519a-1) unstable; urgency=low

  * Previous two versions do not contain right upstream sources. Upstream
    version had to be change in order to upload new (and correct) sources.

 -- Luis Arocha <data@debian.org>  Mon,  3 Jun 2002 17:51:24 +0100

junkfilter (20020519-2) unstable; urgency=low

  * Yes. Now the upstream release. Thank you Stefan.

 -- Luis Arocha <data@debian.org>  Sun,  2 Jun 2002 19:52:06 +0100

junkfilter (20020519-1) unstable; urgency=low

  * New upstream release

 -- Luis Arocha <data@debian.org>  Sat,  1 Jun 2002 17:37:09 +0100

junkfilter (20010529-1) unstable; urgency=low

  * New upstream release. (closes: #101872)
  * New Maintainer. (closes: #130763)
  * Changed README.Debian. (closes: #102611)

 -- Luis Arocha <data@debian.org>  Sat, 26 Jan 2002 17:03:57 +0000

junkfilter (20001130-2) unstable; urgency=low

  * Architecture should have been ALL, not ANY. This problem came
    to light in 20001130-1, when I changed the build to binary-indep.
     (closes: #92282)

 -- Gordon Russell <gor@debian.org>  Mon,  2 Apr 2001 09:07:39 +0100

junkfilter (20001130-1) unstable; urgency=low

  * New upstream version
     (closes: #86467)
  * Uses /usr/share/doc rather than /usr/doc
     (closes: #91501)
  * User rules approach was a debian-only method. This has been discarded
    and instead the upstream approach is used. This may cause some
    incompatibility problems for users who are using junkfilter. Sorry.
     (closes: #63397)

 -- Gordon Russell <gor@debian.org>  Wed, 28 Mar 2001 13:01:00 +0100

junkfilter (19990331-1) unstable; urgency=low

  * New upstream version
    Bug #35008 (fixed) - Small typo in text . The request for a change of
                         relative softlink to absolute violates policy 4.5 and
                         was refused.
    Bug #35233,#37914  - New version released as requested

 -- Gordon Russell <g.russell@dcs.napier.ac.uk>  Thu, 20 May 1999 11:39:17 +0100

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: junkfilter
 Section: mail
 Priority: optional
-Maintainer: Gordon Russell <g.russell@dcs.napier.ac.uk>
-Standards-Version: 2.4.1
+Maintainer: Santiago Vila <sanvila@debian.org>
+Standards-Version: 3.8.4
+Homepage: http://junkfilter.zer0.org/
 
+Package: junkfilter
+Architecture: all
 Depends: procmail
-Package: junkfilter
-Architecture: any
 Description: A junk-email filtering program for procmail
  This package uses procmail filtering algorithms to detect junk email. This
  results in internal procmail variables being assigned to indicate the reason

=== debian/rules ===
#!/usr/bin/make -f

package = junkfilter
docdir = debian/tmp/usr/share/doc/$(package)

build:
	touch build

clean:
	rm -f build
	rm -f `find . -name "*~"`
	rm -rf debian/tmp debian/files* core debian/substvars

binary-indep: build
	rm -rf debian/tmp
	install -d debian/tmp/DEBIAN $(docdir)/examples
	cd debian/tmp && install -d usr/share/$(package) usr/lib
	cp -p jf* junkfilter* debian/tmp/usr/share/junkfilter

	# Temporary hack:
	rm -f debian/tmp/usr/share/junkfilter/junkfilter.four.orig

	cp -p procmailrc.sample $(docdir)/examples
	cp -p README README.DEVELOPERS TODO debian/README.Debian \
		debian/copyright $(docdir)
	ln -s ../share/junkfilter debian/tmp/usr/lib/junkfilter
	cp -p debian/changelog $(docdir)/changelog.Debian
	cd $(docdir) && gzip -9 README changelog.Debian
	dpkg-gencontrol
	cd debian/tmp && \
		md5sum `find * -type f ! -regex "DEBIAN/.*"` > DEBIAN/md5sums
	chown -R 0:0 debian/tmp
	chmod -R go=rX debian/tmp
	dpkg --build debian/tmp ..

binary-arch: build

binary: binary-indep binary-arch

.PHONY: binary binary-arch binary-indep clean
